Gallery Platform API
Reference

List contact lists

Returns the gallery's contact lists (pipelines / segments / mailings), newest first.

GET
/gallery/contact-lists

Returns the gallery's contact lists (pipelines / segments / mailings), newest first.

Authorization

bearerAuth contacts:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: contacts:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "title": "string",      "description": "string",      "kind": "pipeline",      "is_dynamic": true,      "dynamic_query": {        "q": "string",        "type": "collector",        "assigned_to": null,        "lead_status": "new",        "tag_id": null,        "has_interaction_since": "2019-08-24T14:15:22Z",        "min_total_spend_cents": 0,        "min_works_acquired": 0,        "price_band": "under_5k"      },      "created_at": "string",      "updated_at": "string"    }  ]}